<script>
import { mapState } from 'vuex';
import InventoryItem from './InventoryItem.vue';

export default {
  components: {
    InventoryItem
  },
  computed: {
    ...mapState(['lightsOn', 'inventory'])
  }
};
</script>

<template>
  <div class="inventory">
    <div
      v-if="lightsOn"
      class="h-full w-full text-gray-900 bg-white p-2 rounded-r-lg border-l border-gray-900 overflow-y-auto"
    >
      <div class="flex flex-wrap">
        <InventoryItem
          v-for="id in inventory"
          :item-id="id"
          :key="id"
          class="w-1/3 h-12"
        />
      </div>
    </div>
  </div>
</template>

<style scoped>
.inventory {
  width: var(--inventory-width);
}
</style>
